package com.bumptech.glide.c.c;

import android.content.ContentResolver;
import android.net.Uri;
import com.bumptech.glide.c.a.d;
import com.bumptech.glide.c.a.n;
import com.bumptech.glide.c.c.w.c;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.io.InputStream;

public class w$d implements o<Uri, InputStream>, c<InputStream> {
    private final ContentResolver azy;

    public w$d(ContentResolver contentResolver) {
        this.azy = contentResolver;
    }

    public final d<InputStream> l(Uri uri) {
        AppMethodBeat.i(92149);
        n nVar = new n(this.azy, uri);
        AppMethodBeat.o(92149);
        return nVar;
    }

    public final n<Uri, InputStream> a(r rVar) {
        AppMethodBeat.i(92150);
        w wVar = new w(this);
        AppMethodBeat.o(92150);
        return wVar;
    }
}
